Bug 65134 - snmptrapd init script complains about bad interpreter - invisible carriage returns in script
snmptrapd init script complains about bad interpreter - invisible carriage re...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-17 20:05 EDT by ipvcor
Modified: 2015-03-04 20:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-17 20:14:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ipvcor 2002-05-17 20:05:39 EDT
Description of Problem:

The snmptrapd init script (/etc/rc.d/init.d/snmptrapd) contains invisible
carriage returns which produces the following error message when executed:

[root@machine init.d]# /etc/init.d/snmptrapd start
: bad interpreter: No such file or directory

Problem can be overcome by stripping all "/r"'s from the init script.


Version-Release number of selected component (if applicable):


Red Hat Linux release 7.3 (Valhalla)

How Reproducible:

Always


Steps to Reproduce:
1. As root, type '/etc/init.d/snmptrapd start'
2. 
3. 

Actual Results:

Produces the following error:
: bad interpreter: No such file or directory


Expected Results:

Should start daemon


Additional Information:

n/a
Comment 1 ipvcor 2002-05-17 20:07:35 EDT
Correction for the following section:


Version-Release number of selected component (if applicable):
ucd-snmp-4.2.4-3
Comment 2 ipvcor 2002-05-17 20:14:32 EDT
quick fix instructions--

As root, perform the follwoing steps:

1. cd /etc/init.d/
2. dos2unix snmptrapd
3. chmod +x snmptrapd
4. touch /etc/snmp/snmptrapd
5. ./snmptrapd start
Comment 3 Phil Knirsch 2002-05-21 07:53:23 EDT
Argh, what a stupid bug of mine! Fixing immediately in the package.

Thanks for catching it. Fixed in next version.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.